package api.common.pojo.vo.project;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

/**
 * 工作报告
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ProjectReportForReferenceVO {
    private String projectName; //项目名称
    private String projectId; //项目id
    private String algorithmName; //算法名称
    private String sceneNum;
    private String scenePassNum;
    private String passRate;
    private String packageName; //场景包名
    private String finishTime; //测试时间(开始时间)
    private Map<String, Integer> compRange;
    private Map<String, Integer> riskRange;
    private Map<String, Map<String, Integer>> compLevelForPassNum;
    private Map<String, Map<String, Integer>> riskLevelForPassNum;
    private Map<String, Integer> otherBehaviorTypeForNum;
    private Map<String, Map<String, Integer>> otherBehaviorForCompLevelNum;
    private Map<String, Map<String, Integer>> otherBehaviorForRiskLevelNum;

    private Map<String, Integer> weatherTypeForNum;
    private Map<String, Map<String, Integer>> weatherForCompLevelNum;
    private Map<String, Map<String, Integer>> weatherForRiskLevelNum;

    private Map<String, Integer> roadTypeForNum;

    private Map<String, Integer> operationAreaTypeForNum;
    private Map<String, Map<String, Integer>> operationAreaForCompLevelNum;
    private Map<String, Map<String, Integer>> operationAreaForRiskLevelNum;

    private Map<String, Integer> roadGeometryPlaneTypeForNum;
    private Map<String, Map<String, Integer>> roadGeometryPlaneForCompLevelNum;
    private Map<String, Map<String, Integer>> roadGeometryPlaneForRiskLevelNum;

    private Map<String, Integer> roadGeometryVerticalTypeForNum;
    private Map<String, Map<String, Integer>> roadGeometryVerticalForCompLevelNum;
    private Map<String, Map<String, Integer>> roadGeometryVerticalForRiskLevelNum;

    private Map<String, Map<String, Integer>> otherBehaviorAndAreaPassNum;
    private Map<String, Map<String, Integer>> weatherAndAreaPassNum;
    private Map<String, Map<String, Integer>> roadPlanePassNum;
    private List<ManualProjectTaskVo> manualProjectTaskVos;
}


